PtexReader::ReductionKey Class Reference

`#include <PtexReader.h>`

## Public Member Functions

| ReductionKey ()
| ReductionKey (uint32_t faceid, Res res)
void | copy (volatile ReductionKey &key) volatile
void | move (volatile ReductionKey &key) volatile
bool | matches (const ReductionKey &key) volatile
bool | isEmpty () volatile
uint32_t | hash () volatile

## Private Attributes

int64_t | _val

## Detailed Description

Definition at line 685 of file PtexReader.h.

## Constructor & Destructor Documentation

## ReductionKey() [1/2]

PtexReader::ReductionKey::ReductionKey | ( |  | ) |

inline

Definition at line 688 of file PtexReader.h.

## ReductionKey() [2/2]

PtexReader::ReductionKey::ReductionKey | ( | uint32_t | faceid,
|  | Res | res
| ) |  |

inline

Definition at line 689 of file PtexReader.h.

## Member Function Documentation

## copy()

void PtexReader::ReductionKey::copy | ( | volatile ReductionKey & | key | ) | volatile

inline

Definition at line 692 of file PtexReader.h.

References _val.

## hash()

uint32_t PtexReader::ReductionKey::hash | ( |  | ) | volatile

inline

Definition at line 707 of file PtexReader.h.

References _val.

## isEmpty()

bool PtexReader::ReductionKey::isEmpty | ( |  | ) | volatile

inline

Definition at line 706 of file PtexReader.h.

References _val.

## matches()

bool PtexReader::ReductionKey::matches | ( | const ReductionKey & | key | ) | volatile

inline

Definition at line 702 of file PtexReader.h.

References _val.

## move()

void PtexReader::ReductionKey::move | ( | volatile ReductionKey & | key | ) | volatile

inline

Definition at line 697 of file PtexReader.h.

References _val.

## Member Data Documentation

## _val

int64_t PtexReader::ReductionKey::_val

private

Definition at line 686 of file PtexReader.h.

Referenced by copy(), hash(), isEmpty(), matches(), and move().

The documentation for this class was generated from the following file:

- PtexReader.h